Page MenuHomePhabricator

Astropay: "go back" (volver) sometimes takes user to the TY page
Closed, ResolvedPublic0 Story Points

Description

From Pats:
When I click "go back" (volver) sometimes it takes me to the TY page, and sometimes to the Failed page. The ideal behavior would be taking the donor back to the payments page, correct?

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterMaintenance script to get AstroPay payment status

Event Timeline

DStrine created this task.Mar 31 2016, 8:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2016, 8:25 PM
Ejegg added a subscriber: Ejegg.

This is a longstanding problem that needs a fix from AstroPay. The donor comes back to the result page with a request that looks just like a pending payment.

I followed up on an email thread from last summer with a suggestion to let us set a 'cancel' url along with our 'return' url as a potentially easier fix than changing their status logic.

awight assigned this task to Ejegg.Apr 4 2016, 7:55 PM
awight reassigned this task from Ejegg to XenoRyet.Apr 4 2016, 8:07 PM
XenoRyet reassigned this task from XenoRyet to Ejegg.Apr 4 2016, 8:18 PM
XenoRyet added a subscriber: XenoRyet.
Ejegg added a comment.Apr 7 2016, 10:48 PM

Just got an email saying some work on the AP side is done - will investigate!

Change 282300 had a related patch set uploaded (by Ejegg):
Maintenance script to get AstroPay payment status

https://gerrit.wikimedia.org/r/282300

Ejegg closed this task as Resolved.Apr 8 2016, 12:21 AM

Fixed on AstroPay's side - now returns a failure code, so we at least show donors the fail form with 'try again' links.

Change 282300 merged by jenkins-bot:
Maintenance script to get AstroPay payment status

https://gerrit.wikimedia.org/r/282300

DStrine set the point value for this task to 0.Apr 13 2016, 9:52 PM

We should also tell Astropay that the word volver is used on the button for the final step in the flow. That button usually has text like "submit" or "finish". That final button should take the donor to our thank you page.